<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Ritecontrol</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css">

        <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js"></script>


        <!-- Styles -->
        <style>
            html, body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Nunito', sans-serif;
                font-weight: 200;
                height: 100vh;
                margin: 0;
            }

            .full-height {
                height: 100vh;
            }

            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }

            .flex-center.position-ref.full-height {
                flex-wrap: wrap;
            }
            .position-ref {
                position: relative;
            }

            div#pivotTable_wrapper {
                max-width: 680px;
                overflow: auto;
            }

            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }

            .content {
                text-align: center;
            }

            .title {
                font-size: 84px;
            }

            .links > a {
                color: #636b6f;
                padding: 0 25px;
                font-size: 13px;
                font-weight: 600;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
            }

            .m-b-md {
                margin-bottom: 30px;
            }
            .form-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form {
    max-width: 400px;
    margin: 0 auto;
}

h2 {
    text-align: center;
    color: #333;
}

label {
    display: block;
    margin-bottom: 8px;
    color: #555;
}

input,
textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 16px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button {
    background-color: #007bff;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}
.alert {
        padding: 15px;
        margin-bottom: 20px;
        border: 1px solid transparent;
        border-radius: 4px;
    }

    .alert-success {
        color: #3c763d;
        background-color: #dff0d8;
        border-color: #d6e9c6;
    }

    .close {
        float: right;
        font-size: 20px;
        font-weight: bold;
        line-height: 1;
        color: #000;
        text-shadow: 0 1px 0 #fff;
        opacity: .2;
    }

    .close:hover {
        color: #000;
        text-decoration: none;
        opacity: .5;
    }
        </style>
    </head>
    <body>
        <div class="flex-center position-ref full-height">
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout</a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            @csrf
                        </form>
                    @else
                        <a href="{{ route('login') }}">Login</a>
                        @if (Route::has('register'))
                            <a href="{{ route('register') }}">Register</a>
                        @endif
                    @endauth
                </div>
            @endif


            <div class="content">
                <div class="form-container">
                <h2>INFO</h2>
                    @if (Session::has('success'))
                        <div class="alert alert-success text-center">
                            <a href="javascript:void(0);" class="close" onclick="closeAlert()" aria-label="close">×</a>
                            <p>{{ Session::get('success') }}</p>
                        </div>
                    @endif
                    <form action="{{ route('user.update-info') }}" method="post">
                    @csrf
                        <label for="version">Version:</label>
                        <input type="text" id="version" name="version" value="{{ $userInfo->Version ?? '' }}" required>

                        <label for="projectName">Project Name:</label>
                        <input type="text" id="projectName" name="projectName" value="{{ $userInfo->ProjectName ?? '' }}" required>

                        <label for="pivotCount">Pivot Count:</label>
                        <input type="text" id="pivotCount" name="pivotCount" value="{{ $userInfo->PivotCount ?? '' }}" required>

                        <label for="pumpProject">Pump Project:</label>
                        <input type="text" id="pumpProject" name="pumpProject" value="{{ $userInfo->PumpProject ?? '' }}" required>

                        <label for="pumpProjectName">Pump Project Name:</label>
                        <input type="text" id="pumpProjectName" name="pumpProjectName" value="{{ $userInfo->PumpProjectName ?? '' }}" required>

                        <label for="maps">Maps:</label>
                        <input type="text" id="maps" name="maps" value="{{ $userInfo->Maps ?? '' }}" required>

                        <label for="mapsName">Maps Name:</label>
                        <input type="text" id="mapsName" name="mapsName" value="{{ $userInfo->MapsName ?? '' }}" required>

                        <button type="submit">Submit</button>
                    </form>
                </div>

                <h1>Pivot Data</h1>

                <table id="pivotTable" class="table">
                    <thead>
                        <tr>
                            <th>PivotName</th>
                            <th>IPAddress</th>
                            <th>PivotPort</th>
                            <th>PLCType</th>
                            <th>CenterLat</th>
                            <th>CenterLon</th>
                            <th>Value4</th>
                            <th>Value5</th>
                            <th>Value6</th>
                            <th>Value7</th>
                            <th>Value8</th>
                            <th>Value9</th>
                            <th>Value10</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($pivots as $pivot)
                            <tr>
                                <td>{{ $pivot->PivotName }}</td>
                                <td>{{ $pivot->IPAddress }}</td>
                                <td>{{ $pivot->PivotPort }}</td>
                                <td>{{ $pivot->PLCType }}</td>
                                <td>{{ $pivot->CenterLat }}</td>
                                <td>{{ $pivot->CenterLon }}</td>
                                <td>{{ $pivot->Value4 }}</td>
                                <td>{{ $pivot->Value5 }}</td>
                                <td>{{ $pivot->Value6 }}</td>
                                <td>{{ $pivot->Value7 }}</td>
                                <td>{{ $pivot->Value8 }}</td>
                                <td>{{ $pivot->Value9 }}</td>
                                <td>{{ $pivot->Value10 }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <script>

$(document).ready(function () {
            $('#pivotTable').DataTable({
                paging: true,
                pageLength: 10, 
                searching: false, 
                ordering: true, 
                info: true, 
            });
        });
    function closeAlert() {
        var alert = document.querySelector('.alert');
        if (alert) {
            alert.style.display = 'none';
        }
    }
</script>  
    </body>

    
</html>
