<?php

use Illuminate\Foundation\Http\FormRequest as Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\AuthController;


Route::get('/', 'UserController@index')->name('home')->middleware('auth');

Route::post('/user/update-info', 'UserController@update')->name('user.update-info');

Auth::routes(['register' => false]);
// Route::get('/insert-pivots', 'UserController@insertPivots');

Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('/register', 'Auth\RegisterController@register');

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');

    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');

    Route::resource('permissions', 'PermissionsController');

    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');

    Route::resource('roles', 'RolesController');

    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');

    Route::resource('users', 'UsersController');

    Route::delete('products/destroy', 'ProductsController@massDestroy')->name('products.massDestroy');

    Route::resource('products', 'ProductsController');


    Route::delete('datas/destroy', 'DataController@massDestroy')->name('datas.massDestroy');

    Route::resource('datas', 'DataController');
});
// use Illuminate\Foundation\Http\FormRequest as Request;
// use Illuminate\Support\Facades\Route;
// use App\Http\Controllers\UserController;
// use App\Http\Controllers\AuthController;

// Route::redirect('/login', '/login');

// //  Route::redirect('/home', '/view');
// Route::get('/', 'UserController@index')->name('home');

// Route::post('/user/update-info','UserController@update')->name('user.update-info');
// Auth::routes(['register' => false]);



// Auth::routes(['register' => false]);

// Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
// Route::post('/register', 'Auth\RegisterController@register');

// Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
//     Route::get('/', 'HomeController@index')->name('home');

//     Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');

//     Route::resource('permissions', 'PermissionsController');

//     Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');

//     Route::resource('roles', 'RolesController');

//     Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');

//     Route::resource('users', 'UsersController');

//     Route::delete('products/destroy', 'ProductsController@massDestroy')->name('products.massDestroy');

//     Route::resource('products', 'ProductsController');

//     Route::delete('datas/destroy', 'DataController@massDestroy')->name('datas.massDestroy');

//     Route::resource('datas', 'DataController');